Skip to content
Changelog

Report a bug

Superchat integration: operations for AI agents

Superchat connects to Type.com as an integration. This page lists the 73 operations documented for Claude and Codex in Type.com: 36 read, 19 write, 18 destructive.

About Superchat

Superchat is a unified messaging platform that enables businesses to communicate with customers across multiple channels, including WhatsApp, Instagram Direct, Facebook Messenger, Email, and more.

Categories: Communication & Meetings

How to connect Superchat to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

73 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

73 operations listed.

Channels

  • Read

    List all channels

    Lists all channels in workspace. You can specify a limit of objects to be returned in one response, as well as set a next or previous value to navigate through the object stream. Objects are sorted descendingly by their createdat value. Please mind, you can only specify next or previous at once.

    GET /channels

  • Read

    Get a channel

    Returns a single channel by ID.

    GET /channels/{channelId}

Contact Lists

  • Read

    List contact lists

    Returns all contact lists for a workspace.

    GET /contact-lists

  • Read

    Get a contact list

    Returns a single contact lists

    GET /contact-lists/{contactListId}

  • Write

    Create a contact list

    Creates a contact list for a workspace.

    POST /contact-lists

  • Destructive

    Update a contact list

    Updates a contact list in your Superchat workspace.

    PUT /contact-lists/{contactListId}

  • Destructive

    Delete a contact list

    Deletes a single contact list in a workspace.

    DELETE /contact-lists/{contactListId}

Contacts

  • Read

    List all contacts

    Lists all contacts in workspace. You can specify a limit of objects to be returned in one response, as well as set a next or previous value to navigate through the object stream. Objects are sorted descendingly by their createdat value. Please mind, you can only specify next or previous at once.

    GET /contacts

  • Read

    Search all contacts

    Search a contact by any field.

    POST /contacts/search

  • Read

    Get a contact

    Returns a single contact

    GET /contacts/{contactId}

  • Read

    List contact lists for contact

    Returns all contact lists a contact is part of.

    GET /contacts/{contactId}/contact-lists

  • Read

    Get conversations for a contact

    Returns all conversations a contact has

    GET /contacts/{contactId}/conversations

  • Write

    Create a contact

    Creates a new contact in your Superchat workspace.

    POST /contacts

  • Write

    Update a contact

    Updates a contact in your Superchat workspace.

    PATCH /contacts/{contactId}

  • Write

    Add contact to contact list

    Adds a contact to a single contact list.

    POST /contacts/{contactId}/contact-lists

  • Destructive

    Delete a contact

    Deletes a contact in a workspace.

    DELETE /contacts/{contactId}

  • Destructive

    Remove contact from contact list

    Deletes a single contact from a contact list

    DELETE /contacts/{contactId}/contact-lists/{contactListId}

Conversation Exports

  • Read

    Get a conversation export

    Retrieve an export of a conversation.

    GET /conversations/{conversationId}/export/{conversationExportId}

  • Write

    Create a conversation export

    Creates a conversation export job

    POST /conversations/{conversationId}/export

Conversations

  • Read

    List all conversations

    Returns all conversations.

    GET /conversations

  • Read

    Get a conversation

    Returns a single conversation

    GET /conversations/{id}

  • Read

    Get conversation messages

    List all messages for a conversation.

    GET /conversations/{id}/messages

  • Write

    Update a conversation

    Updates data of a conversation

    PATCH /conversations/{id}

  • Destructive

    Delete a conversation

    Deletes a conversation

    DELETE /conversations/{id}

Custom Attributes

  • Read

    List all custom attributes

    Returns all custom contact attributes.

    GET /custom-attributes

  • Write

    Create a custom attribute

    Creates a new custom contact attribute.

    POST /custom-attributes

  • Destructive

    Update a custom attribute

    Update a custom contact attribute.

    PUT /custom-attributes/{id}

  • Destructive

    Delete a custom attribute

    Deletes a custom contact attribute.

    DELETE /custom-attributes/{id}

Files

  • Read

    List all files

    Lists all files in workspace. You can specify a limit of objects to be returned in one response, as well as set a next or previous value to navigate through the object stream. Objects are sorted descendingly by their createdat value. Please mind, you can only specify next or previous at once.

    GET /files

  • Read

    Get a file

    Returns a single file in a workspace.

    GET /files/{fileId}

  • Write

    Upload a file

    Upload a new file to the Superchat servers.

    POST /files

  • Destructive

    Delete a file

    Deletes a file in a workspace.

    DELETE /files/{fileId}

Inboxes

  • Read

    List all inboxes

    Returns all inboxes for a workspace.

    GET /inboxes

  • Read

    Get an inbox

    Returns a single inbox for a workspace.

    GET /inboxes/{inboxId}

  • Write

    Create an inbox

    Creates an inbox for a workspace.

    POST /inboxes

  • Destructive

    Delete an inbox

    Deletes a single inbox in a workspace.

    DELETE /inboxes/{inboxId}

Label Folders

  • Read

    List all label folders

    Returns all conversation label folders for a workspace.

    GET /label-folders

  • Read

    Get a label folder

    Returns a single label folder by ID.

    GET /label-folders/{id}

  • Write

    Create a label folder

    Creates a conversation label folder in a workspace.

    POST /label-folders

  • Write

    Update a label folder

    Updates a label folder name or parent.

    PATCH /label-folders/{id}

  • Destructive

    Delete a label folder

    Deletes a conversation label folder.

    DELETE /label-folders/{id}

Labels

  • Read

    List all labels

    Returns all conversation labels for a workspace.

    GET /labels

  • Read

    Get a label

    Returns a single label by ID.

    GET /labels/{labelId}

  • Write

    Create a label

    Creates a conversation label for a workspace.

    POST /labels

  • Write

    Update a label

    Updates a conversation label.

    PATCH /labels/{labelId}

  • Destructive

    Delete a label

    Deletes a conversation label.

    DELETE /labels/{labelId}

Messages

  • Read

    Fetch message analytics

    Returns engagement analytics for multiple messages. Request body specifies message IDs. Each result includes messageid and the analytics object with nullable ISO-8601 timestamps for each engagement event. Missing or inaccessible message IDs are omitted from results.

    GET /analytics/messages

  • Read

    Get a message

    Returns a single message.

    GET /messages/{id}

  • Write

    Send a message

    Send a message on the specified channel (from object) to a new or existing contact (to object).

    POST /messages

Notes

  • Read

    Get a conversation note

    Return a single note in a conversation.

    GET /conversations/{conversationId}/notes/{noteId}

  • Read

    Get conversation notes

    Lists all notes in a conversation.

    GET /conversations/{id}/notes

  • Write

    Create conversation note

    Create a note in a conversation.

    POST /conversations/{id}/notes

  • Destructive

    Update conversation note

    Update a note in a conversation.

    PUT /conversations/{conversationId}/notes/{noteId}

  • Destructive

    Delete conversation note

    Delete a note from a conversation.

    DELETE /conversations/{conversationId}/notes/{noteId}

Template Folders

  • Read

    List all template folders

    List all template folders

    GET /template-folders

  • Read

    Get a template folder

    Get a template folder

    GET /template-folders/{id}

  • Write

    Create a template folder

    Create a template folder

    POST /template-folders

  • Destructive

    Update a template folder

    Update a template folder

    PUT /template-folders/{id}

  • Destructive

    Delete a template folder

    Delete a template folder

    DELETE /template-folders/{id}

Templates

  • Read

    Fetch template aggregated analytics

    Returns aggregated engagement counts and rates for multiple templates within the specified date range. Request body specifies template IDs and from/to. Each result includes templateid and the analytics object with period, absolute counts, and rates. Missing or inaccessible template IDs are omitted from results.

    GET /analytics/templates

  • Read

    List all templates

    List all templates for a workspace

    GET /templates

  • Read

    Get a template

    Return a single template by ID

    GET /templates/{id}

  • Write

    Create a template

    Create a new template in a workspace

    POST /templates

  • Write

    Update a template

    Update a template name or move it into a template folder.

    PATCH /templates/{id}

  • Destructive

    Delete a template

    Deletes a template in a workspace.

    DELETE /templates/{id}

Users

  • Read

    Get current user

    Retrieve the information about yourself as a Superchat user

    GET /me

  • Read

    List all users

    List all users for a workspace.

    GET /users

  • Read

    Get a user

    Returns a single user for a workspace.

    GET /users/{userId}

Manage webhooks

  • Read

    List all webhook subscriptions

    List all webhook subscriptions

    GET /webhooks

  • Read

    Get a webhook subscription

    Get a webhook subscription

    GET /webhooks/{subscriptionId}

  • Write

    Create a webhook subscription

    Create a webhook subscription

    POST /webhooks

  • Destructive

    Update a webhook subscription

    Update a webhook subscription

    PUT /webhooks/{subscriptionId}

  • Destructive

    Delete a webhook subscription

    Delete a webhook subscription

    DELETE /webhooks/{subscriptionId}

See How connections work for access and permissions, or browse all integrations.